--- title: "Set automatic export" slug: "analytics-cloudloganalytics-setexportconfig" tags: ["Cloud Log Analytics"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/analytics-cloudloganalytics-setexportconfig" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Set automatic export Available in Classic and VPC Set automatic export for logs retrieved from the Cloud Log Analytics service. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/{regionCode}-v1/export/config | ### Request headers For information about the headers common to all Cloud Log Analytics APIs, see [Cloud Log Analytics request headers](/docs/en/analytics-cloudloganalytics#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Required | Region code - `kr` \| `sgn` \| `jpn` \| `uswn` \| `den` - `kr`: Korea Region - `sgn`: Singapore Region - `jpn`: Japan Region - `uswn`: US West Region - `den`: Germany Region | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `exportBucket` | Integer | Required | Object Storage's bucket name - See [Get bucket list](/docs/en/analytics-cloudloganalytics-getbucketlist) | | `logTypes` | String | Required | Log type | | `regionNo` | Integer | Required | Region number | | `obsPathType` | String | Optional | Automatic export path - `2` (default) \| `3` - `2`: /CLA/AutoExport/{logtype}/{YYYY}/{MM}/{DD}/{logtype}{hh}.json.gz - `3`: /CLA/AutoExport/{YYYY}/{MM}/{DD}/{logtype}{hh}.json.gz | ### Request example The request example is as follows: ``` curl --location --request POST 'https://cloudloganalytics.apigw.ntruss.com/api/{regionCode}-v1/export/config' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "exportBucket": "asdcx", "logTypes": [ "all" ], "regionNo": "1", "obsPathType": "2" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response status codes | | `message` | String | - | Response status message | | `result` | String | - | Response result | ### Response status codes For response status codes common to all Cloud Log Analytics APIs, see [Cloud Log Analytics response status codes](/docs/en/analytics-cloudloganalytics#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "The request has been successfully processed.", "result": "Success" } ```